﻿@using Xtoman.Domain.Models
@model ExchangeOrderViewModel
@{
    ViewBag.Title = "جزئیات سفارش " + Model.Id;
}

<div class="row">
    <div class="col-lg-6">
        <div class="card-box">
            <h4 class="text-dark  header-title m-t-0">جزئیات سفارش</h4>
            <p class="text-muted m-b-25 font-13">
                @Model.Guid
            </p>

            <table class="table m-0 table-responsive">
                <tr>
                    <th># ردیف</th>
                    <td>@Model.Id</td>
                </tr>
                <tr>
                    <th>نوع تبدیل</th>
                    <td>
                        <span style="color:@Model.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.GroupName)">@Model.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.Prompt)</span>
                        <span class="fa fa-arrow-left"></span>
                        <span style="color:@Model.ExchangeToCurrencyType.ToDisplay(DisplayProperty.GroupName)">@Model.ExchangeToCurrencyType.ToDisplay(DisplayProperty.Prompt)</span>
                    </td>
                </tr>
                <tr>
                    <th>وضعیت سفارش</th>
                    <td>
                        <a href="#" id="OrderStatusBtn" onclick="EditOrderStatus(); return false;" title="تغییر وضعیت" class="badge badge-@Model.OrderStatus.ToDisplay(DisplayProperty.GroupName)" style="padding: inherit;">
                            @Model.OrderStatus.ToDisplay()
                        </a>
                        <div id="OrderStatusFormGroup" class="row" style="display:none;">
                            <div class="col-md-8">
                                @Html.EnumDropDownListFor(m => m.OrderStatus, new { @class = "form-control select2" })
                            </div>
                            <div class="col-md-4">
                                <button class="btn btn-sm btn-success" onclick="SaveOrderStatus()">ثبت</button>
                                <button class="btn btn-sm btn-danger" onclick="CancelOrderStatus()">لغو</button>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <th>@Html.DisplayNameFor(m => m.PayAmount)</th>
                    <td>
                        @if (Model.ExchangeFromCurrencyType == ECurrencyType.Shetab)
                        {
                            <span>@Model.PayAmount.ToPriceWithoutFloat() تومان</span>
                        }
                        else
                        {
                            <span>@Model.PayAmount.ToBlockChainPrice() @Model.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                        }
                    </td>
                </tr>
                @if (Model.PaidAmount > 0 && Model.PayAmount != Model.PaidAmount)
                {
                    <tr style="background-color:#c2f4fc">
                        <th>مقدار پرداختی مشتری</th>
                        <td>
                            <b>
                                @if (Model.ExchangeFromCurrencyType == ECurrencyType.Shetab)
                                {
                                    <span>@Model.PaidAmount.ToPriceWithoutFloat() تومان</span>
                                }
                                else
                                {
                                    <span>@Model.PaidAmount.ToBlockChainPrice() @Model.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                                }
                            </b>
                        </td>
                    </tr>
                }
                <tr>
                    <th>مقدار پرداخت به مشتری</th>
                    <td>
                        @if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                        {
                            <span>@Model.ReceiveAmount.ToPriceWithoutFloat() تومان</span>
                        }
                        else
                        {
                            <span>@Model.ReceiveAmount.ToBlockChainPrice() @Model.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                        }
                        @*<a id="reCalculateAgain" onclick="reCalculateAgain(); return false;" class="btn btn-secondary">بررسی مجدد قیمت</a>*@
                    </td>
                </tr>
                <tr>
                    <th>هزینه تراکنش</th>
                    <td>
                        @if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                        {
                            <span>@Model.GatewayFee.ToPriceWithoutFloat() تومان</span>
                        }
                        else
                        {
                            <span>@Model.GatewayFee.ToBlockChainPrice() @Model.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                        }
                    </td>
                </tr>
                <tr>
                    <th>@Html.DisplayNameFor(m => m.ReceiveAmountWithFee)</th>
                    <td>
                        @if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                        {
                            <span>@Model.ReceiveAmountWithFee.ToPriceWithoutFloat() تومان</span>
                        }
                        else
                        {
                            <span>@Model.ReceiveAmountWithFee.ToBlockChainPrice() @Model.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                        }
                    </td>
                </tr>
                <tr>
                    <th>
                        @Html.DisplayNameFor(m => m.DollarPriceInToman)
                    </th>
                    <td>
                        @Model.DollarPriceInToman.ToPriceWithoutFloat()
                    </td>
                </tr>
                <tr>
                    <th>
                        @Html.DisplayNameFor(m => m.CurrencyPriceInDollar)
                    </th>
                    <td>
                        @Model.CurrencyPriceInDollar.ToBlockChainPrice()
                    </td>
                </tr>
                <tr>
                    <th>
                        @Html.DisplayNameFor(m => m.ExchangeExtraFeePercentInTime)
                    </th>
                    <td>
                        %@Model.ExchangeExtraFeePercentInTime.ToBlockChainPrice()
                    </td>
                </tr>
                <tr>
                    <th>تاریخ ثبت سفارش</th>
                    <td>
                        @Model.InsertDate.ToFaDateTimeZone()
                    </td>
                </tr>
                <tr>
                    <th>
                        @if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                        {
                            <span>شماره کارت و نام بانک</span>
                        }
                        else
                        {
                            <span>آدرس دریافت مشتری</span>
                        }
                    </th>
                    <td class="break">@Model.ReceiveAddress</td>
                </tr>
                @if (Model.ReceiveMemoTagPaymentId.HasValue())
                {
                    <tr>
                        <th>
                            @if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                            {
                                <span>شماره شبا</span>
                            }
                            else
                            {
                                <span>
                                    @Html.DisplayNameFor(m => m.ReceiveMemoTagPaymentId)
                                </span>
                            }
                        </th>
                        <td>@Model.ReceiveMemoTagPaymentId</td>
                    </tr>
                }
                <tr>
                    <th>@Html.DisplayNameFor(m => m.ReceiveTransactionCode)</th>
                    <td class="break">
                        @if (Model.ReceiveTransactionCode.HasValue())
                        {
                            var txAddress = ECurrencyTypeHelper.BlockExplorerTransaction(Model.ExchangeToCurrencyType);
                            if (txAddress.HasValue())
                            {
                                <a href="@txAddress/@Model.ReceiveTransactionCode" target="_blank">@Model.ReceiveTransactionCode</a>
                            }
                            else
                            {
                                @Model.ReceiveTransactionCode
                            }
                        }
                        else
                        {
                            if (Model.OrderStatus == OrderStatus.Processing && Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                            {
                                <div class="btn-group btn-group-sm">
                                    <a id="cardToCardBtn" onclick="cardToCarded(); return false;" class="btn btn-secondary">کارت به کارت شد</a>
                                    <a id="shebaBtn" onclick="satnaPaya(); return false;" class="btn btn-primary">ساتنا یا پایا شد</a>
                                </div>
                                <hr />
                                <div class="btn-group btn-group-sm">
                                    <a id="vandarBtn" onclick="vandarPay(); return false;" class="btn btn-success">با وندار پرداخت شود</a>
                                    <a id="payIRBtn" onclick="payIRPay(); return false;" class="btn btn-warning">با پی دات آی آر پرداخت شود (کارمزد @(((Model.ReceiveAmount * 1 / 100) > 4000 ? 4000 : Model.ReceiveAmount * 1 / 100).ToPriceWithoutFloat()) تومان)</a>
                                </div>
                            }
                            else if (Model.ReceiveTransactionCode.HasValue())
                            {
                                @Model.ReceiveTransactionCode
                            }
                            else
                            {
                                <span>هنوز ارسال نشده یا در حال ارسال است</span>
                            }
                        }
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <!-- end col -8 -->

    <div class="col-lg-6">
        <div class="card-box widget-user">
            <div>
                <div class="wid-u-info">
                    <h5 class="mt-0 m-b-5 font-16">مشخصات مشتری</h5>
                    <p class="text-warning"><b>@Model.UserFullName</b></p>
                    <p class="text-muted m-b-5 font-13">@Model.UserEmail</p>
                    <p class="text-muted m-b-5 font-13">@Model.UserPhoneNumber</p>
                    <p>IP: @Model.InsertUserIpAddress</p>
                </div>
            </div>
        </div>
        <div class="card-box">
            <h4 class="text-dark header-title m-t-0">جزئیات پرداخت</h4>
            <table class="table m-0 table-responsive">
                <tr>
                    <th>وضعیت پرداخت</th>
                    <td>
                        <span class="badge badge-@Model.PaymentStatus.ToDisplay(DisplayProperty.GroupName)" style="padding: inherit;">
                            @Model.PaymentStatus.ToDisplay()
                        </span>
                        @if (Model.ExchangeFromCurrencyType == ECurrencyType.Shetab && Model.PaymentStatus == PaymentStatus.NotVerified)
                        {
                            <div id="PaymentStatusFormGroup" class="row">
                                <div class="col-md-12">
                                    <button class="btn btn-sm btn-success" onclick="VerifyPayment()">بررسی وضعیت پرداخت</button>
                                </div>
                            </div>
                        }
                    </td>
                </tr>
                @if (Model.ExchangeFromCurrencyIsFiat && Model.ExchangeFromCurrencyType == ECurrencyType.Shetab)
                {
                    if (Model.BankResponse != null)
                    {
                        if (Model.BankResponse.BankGatewayType.HasValue)
                        {
                            <tr>
                                <th>@Html.DisplayNameFor(m => m.BankResponse.BankGatewayType)</th>
                                <td>@Model.BankResponse.BankGatewayType.ToDisplay()</td>
                            </tr>
                        }
                        if (Model.BankResponse.BankResponseCode.HasValue)
                        {
                            <tr>
                                <th>@Html.DisplayNameFor(m => m.BankResponse.BankResponseCode)</th>
                                <td>@Html.DisplayFor(m => m.BankResponse.BankResponseCode)</td>
                            </tr>
                        }
                        if (Model.BankResponse.BankResponseText.HasValue())
                        {
                            <tr>
                                <th>@Html.DisplayNameFor(m => m.BankResponse.BankResponseText)</th>
                                <td>@Html.DisplayFor(m => m.BankResponse.BankResponseText)</td>
                            </tr>
                        }
                        if (Model.BankResponse.BankSaleReferenceId.HasValue())
                        {
                            <tr>
                                <th>@Html.DisplayNameFor(m => m.BankResponse.BankSaleReferenceId)</th>
                                <td>@Model.BankResponse.BankSaleReferenceId</td>
                            </tr>
                        }
                        if (Model.BankResponse.BankCardHolderPan.HasValue())
                        {
                            <tr>
                                <th>@Html.DisplayNameFor(m => m.BankResponse.BankCardHolderPan)</th>
                                <td style="direction: ltr; text-align: right;">@Model.BankResponse.BankCardHolderPan</td>
                            </tr>
                        }
                    }
                }
                else
                {
                    if (Model.PayAddress.HasValue())
                    {
                        <tr>
                            <th>@Html.DisplayNameFor(m => m.PayAddress)</th>
                            @{ var payAddressLookupUrl = ECurrencyTypeHelper.BlockExplorerAddress(Model.ExchangeFromCurrencyType); }
                            @if (payAddressLookupUrl.HasValue())
                            {
                                <td>
                                    <a href="@payAddressLookupUrl/@Model.PayAddress" target="_blank">@Model.PayAddress</a>
                                </td>
                            }
                            else
                            {
                                <td>@Model.PayAddress</td>
                            }
                        </tr>
                    }
                    if (Model.PayMemoTagPaymentId.HasValue())
                    {
                        <tr>
                            <th>@Html.DisplayNameFor(m => m.PayMemoTagPaymentId)</th>
                            <td>@Model.PayMemoTagPaymentId</td>
                        </tr>
                    }
                    if (Model.PayTransactionId.HasValue())
                    {
                        <tr>
                            <th>@Html.DisplayNameFor(m => m.PayTransactionId)</th>
                            <td>@Model.PayTransactionId</td>
                        </tr>
                    }
                    if (Model.PayPaymentGatewayId.HasValue())
                    {
                        <tr>
                            <th>@Html.DisplayNameFor(m => m.PayPaymentGatewayId)</th>
                            <td>@Model.PayPaymentGatewayId</td>
                        </tr>
                    }
                    if (Model.PayTimeEnd.HasValue)
                    {
                        <tr>
                            <th>@Html.DisplayNameFor(m => m.PayTimeEnd)</th>
                            <td>@Model.PayTimeEnd.Value.ToFaDateTimeZone()</td>
                        </tr>
                    }
                }
            </table>
        </div>

    </div>
    @if (Model.Errors.HasValue())
    {
        <div class="col-lg-12">
            <div class="card-box">
                <h4 class="text-dark header-title m-t-0">خطا</h4>
                <p>@Model.Errors</p>
            </div>
        </div>
    }
    @if (Model.PaymentStatus == PaymentStatus.Paid)
    {
        if (Model.OrderTrades.Count > 0)
        {
            <div class="col-lg-6">
                <div class="card-box">
                    <h4 class="text-dark header-title m-t-0">جزئیات ترید</h4>
                    @if (Model.OrderTrades != null && Model.OrderTrades.Count > 0)
                    {
                        <table class="table m-0 table-responsive">
                            <thead>
                                <tr>
                                    <th>API Trade Id</th>
                                    <th>از مقدار</th>
                                    <th>به مقدار</th>
                                    <th>وضعیت</th>
                                    <th>پلتفرم</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.OrderTrades)
                                {
                                    <tr>
                                        <td class="break">@item.ApiTradeId</td>
                                        <td>@item.FromAmount.ToBlockChainPrice() @item.FromCryptoType.ToDisplay()</td>
                                        <td>@item.ToAmount.ToBlockChainPrice() @item.ToCryptoType.ToDisplay()</td>
                                        <td>@item.TradeStatus.ToDisplay()</td>
                                        <td>@item.TradingPlatform.ToDisplay()</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    }
                    else if (Model.OrderStatus == OrderStatus.TradeFailed)
                    {
                        <a id="tryTradeAgainBtn" onclick="tryTradeAgain(); return false;" class="btn btn-primary">تلاش مجدد برای ترید</a>
                    }
                </div>
            </div>
        }
        if (Model.OrderWithdraws.Count > 0)
        {
            <div class="col-lg-6">
                <div class="card-box">
                    <h4 class="text-dark header-title m-t-0">جزئیات خروجی</h4>
                    @if (Model.OrderWithdraws != null && Model.OrderWithdraws.Count > 0)
                    {
                        if (Model.ExchangeToCurrencyType == ECurrencyType.Shetab)
                        {
                            <table class="table m-0 table-responsive">
                                <thead>
                                    <tr>
                                        <th>API Withdraw Id</th>
                                        <th>مقدار</th>
                                        <th>نوع کیف پول</th>
                                        <th>نوع خروجی</th>
                                        <th>وضعیت</th>
                                        @if (Model.OrderWithdraws.Any(x => x.Status == WithdrawStatus.Processing))
                                        {
                                            <th></th>
                                        }
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model.OrderWithdraws)
                                    {
                                        <tr>
                                            <td class="break">@item.ApiWithdrawId</td>
                                            <td>@item.Amount.ToPriceWithoutFloat() تومان</td>
                                            <td>@item.WalletApiType.ToDisplay()</td>
                                            <td>@item.WithdrawType.ToDisplay()</td>
                                            <td><span class="badge badge-@item.Status.ToDisplay(DisplayProperty.GroupName)">@item.Status.ToDisplay()</span></td>
                                            @if (Model.OrderWithdraws.Any(x => x.Status == WithdrawStatus.Processing))
                                            {
                                                if (item.Status == WithdrawStatus.Processing)
                                                {
                                                    <td>
                                                        <a class="btn btn-sm btn-danger" href="#" onclick="CancelVandarPay(@item.Id); return false"><i class="fa fa-remove"></i></a>
                                                    </td>
                                                }
                                                else
                                                {
                                                    <td></td>
                                                }
                                            }
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        }
                        else
                        {
                            <table class="table m-0 table-responsive">
                                <thead>
                                    <tr>
                                        <th>API Withdraw Id</th>
                                        <th>مقدار</th>
                                        <th>نوع کیف پول</th>
                                        <th>نوع خروجی</th>
                                        <th>پلتفرم</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model.OrderWithdraws)
                                    {
                                        <tr>
                                            <td class="break">@item.ApiWithdrawId</td>
                                            <td>@item.Amount.ToBlockChainPrice() @item.ECurrencyType.ToDisplay()</td>
                                            <td>@item.WalletApiType.ToDisplay()</td>
                                            <td>@item.WithdrawType.ToDisplay()</td>
                                            <td>@item.TradingPlatform.ToDisplay()</td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        }
                    }
                    else if (Model.OrderStatus == OrderStatus.WithdrawFailed || Model.OrderStatus == OrderStatus.InComplete || Model.OrderStatus == OrderStatus.TradeFailed)
                    {
                        <a id="tryWithdrawAgainBtn" onclick="tryWithdrawAgain(); return false;" class="btn btn-warning">تلاش مجدد برای خروجی</a>
                        if (!Model.ExchangeToCurrencyIsFiat)
                        {
                            <a id="withdrawFromCP" onclick="withdrawFromCP(); return false;" class="btn btn-primary">انتقال از CoinPayments</a>
                        }
                    }
                </div>
            </div>
        }
        <div class="col-lg-6">
            <div class="card-box">
                <div class="box-header with-border">
                    <h4 class="text-dark header-title m-t-0">یادداشت های سفارش</h4>
                </div>
                @if (Model.OrderNotes.Count > 0)
                {
                    <div class="card-body box-comments">
                        @foreach (var item in Model.OrderNotes)
                        {
                            <div class="box-comment">
                                <div class="comment-text">
                                    <span class="username">
                                        فرستنده:
                                        <label class="label-info">@item.InsertUser.FirstName @item.InsertUser.LastName</label>
                                        <button class="btn btn-sm btn-danger pull-right m-1" id="delete-note-@item.Id"><i class="fa fa-trash"></i></button><small class="text-muted pull-right">تاریخ ارسال: @item.InsertDate.ToFaDateTimeZone()</small>
                                    </span>
                                    <p>
                                        @item.Note
                                    </p>
                                </div>
                            </div>
                            <hr />
                        }
                    </div>
                }
                else
                {
                    <div class="card-body">
                        هیچ یادداشتی ثبت نشده
                    </div>
                }
                <!-- /.box-footer -->
                <div class="box-footer">
                    <p><b>افزودن یادداشت</b></p>
                    <form method="post" action="@Url.Action("AddNote")" id="addNoteForm">
                        <input type="hidden" value="@Model.Id" name="OrderId" />
                        <div class="form-group">
                            <textarea class="form-control input-sm" style="height: 150px;" name="Note" placeholder="متن یادداشت"></textarea>
                        </div>
                        <button type="submit" class="btn btn-success" id="addNoteBtn"><i class="fa fa-pencil"></i> ثبت یادداشت</button>
                    </form>
                </div>
                <!-- /.box-footer -->
            </div>
        </div>
        if (Model.Review != null)
        {
            <div class="col-lg-6">
                <div class="card-box">
                    <h4 class="text-dark header-title m-t-0">نظر مشتری</h4>
                    <p><b>متن نظر: </b>@Model.Review.Text</p>
                    <p><b>امتیاز داده شده: </b>@Model.Review.VoteRate</p>
                </div>
            </div>
        }
        if (Model.OrderStatus != OrderStatus.Complete && Model.ExchangeToCurrencyType != ECurrencyType.Shetab)
        {
            <div class="col-lg-12">
                <div class="card-box">
                    <a id="tryTradeWithdrawAgainBtn" onclick="tryTradeWith<div class="card-box">
<h4 class="text-dark  header-title m-t-0">جزئیات سفارش</h4>
<p class="text-muted m-b-25 font-13">
433e57da-1c3f-43de-a220-7bb9071a865d
</p>
<table class="table m-0 table-responsive">
<tbody><tr>
<th># ردیف</th>
<td>170300</td>
</tr>
<tr>
<th>نوع تبدیل</th>
<td>
<span style="color:#000000">ترون</span>
<span class="fa fa-arrow-left"></span>
<span style="color:#333333">تومان</span>
</td>
</tr>
<tr>
<th>وضعیت سفارش</th>
<td>
<a href="#" id="OrderStatusBtn" onclick="if (!window.__cfRLUnblockHandlers) return false; EditOrderStatus(); return false;" title="تغییر وضعیت" class="badge badge-info" style="padding: inherit;">
در حال انجام
</a>
<div id="OrderStatusFormGroup" class="row" style="display:none;">
<div class="col-md-8">
<select class="form-control select2 select2-hidden-accessible" data-val="true" data-val-required="وضعیت سفارش را وارد کنید" id="OrderStatus" name="OrderStatus" tabindex="-1" aria-hidden="true"><option value="0">در حال انتظار</option>
<option selected="selected" value="1">در حال انجام</option>
<option value="2">تکمیل شده</option>
<option value="4">کنسل شده</option>
<option value="8">ناقص</option>
<option value="16">استرداد انجام شد</option>
<option value="32">خطا در عملیات تبدیل</option>
<option value="64">خطا در عملیات واریز</option>
<option value="128">نیاز به تایید مدیر</option>
</select><span class="select2 select2-container select2-container--default" dir="rtl" style="width: 100%;"><span class="selection"><span class="select2-selection select2-selection--single" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="0" aria-labelledby="select2-OrderStatus-container"><span class="select2-selection__rendered" id="select2-OrderStatus-container" title="در حال انجام">در حال انجام</span><span class="select2-selection__arrow" role="presentation"><b role="presentation"></b></span></span></span><span class="dropdown-wrapper" aria-hidden="true"></span></span>
</div>
<div class="col-md-4">
<button class="btn btn-sm btn-success" onclick="if (!window.__cfRLUnblockHandlers) return false; SaveOrderStatus()">ثبت</button>
<button class="btn btn-sm btn-danger" onclick="if (!window.__cfRLUnblockHandlers) return false; CancelOrderStatus()">لغو</button>
</div>
 </div>
</td>
</tr>
<tr>
<th>مقدار قابل پرداخت مشتری</th>
<td>
<span>2000 TRX</span>
</td>
</tr>
<tr>
<th>مقدار پرداخت به مشتری</th>
<td>
<span>1,706,316 تومان</span>
</td>
</tr>
<tr>
<th>هزینه تراکنش</th>
<td>
<span>4,000 تومان</span>
</td>
</tr>
<tr>
<th>مقدار دریافت مشتری + هزینه تراکنش</th>
<td>
<span>1,710,316 تومان</span>
</td>
</tr>
<tr>
<th>
نرخ دلار در لحظه
</th>
<td>
24,910
</td>
</tr>
<tr>
<th>
نرخ لحظه ای ارز به دلار
</th>
<td>
0
</td>
</tr>
<tr>
<th>
درصد سود ایکس تومن
</th>
<td>
%-3
</td>
</tr>
<tr>
<th>تاریخ ثبت سفارش</th>
<td>
1399/10/20 | 17:35
</td>
</tr>
<tr>
<th>
<span>شماره کارت و نام بانک</span>
</th>
<td class="break">6037701517182975 بانک کشاورزی</td>
</tr>
<tr>
<th>
<span>شماره شبا</span>
</th>
<td>IR340160000000000389447820</td>
</tr>
<tr>
<th>کد تراکنش دریافت</th>
<td class="break">
<div class="btn-group btn-group-sm">
<a id="cardToCardBtn" onclick="if (!window.__cfRLUnblockHandlers) return false; cardToCarded(); return false;" class="btn btn-secondary">کارت به کارت شد</a>
<a id="shebaBtn" onclick="if (!window.__cfRLUnblockHandlers) return false; satnaPaya(); return false;" class="btn btn-primary">ساتنا یا پایا شد</a>
</div>
<hr>
<div class="btn-group btn-group-sm">
<a id="vandarBtn" onclick="if (!window.__cfRLUnblockHandlers) return false; vandarPay(); return false;" class="btn btn-success">با وندار پرداخت شود</a>
<a id="payIRBtn" onclick="if (!window.__cfRLUnblockHandlers) return false; payIRPay(); return false;" class="btn btn-warning">با پی دات آی آر پرداخت شود (کارمزد 4,000 تومان)</a>
</div>
</td>
</tr>
</tbody></table>
</div>drawAgain(); return false;" class="btn btn-success">تلاش مجدد برای ترید و خروجی با هم</a>
                </div>
            </div>
        }
    }
    else if (Model.PaymentStatus == PaymentStatus.CardNotValid && (Model.OrderStatus == OrderStatus.Canceled || Model.OrderStatus == OrderStatus.Pending))
    {
        <div class="col-lg-12">
            <div class="card-box">
                <a id="checkCardValidationAgain" onclick="checkCardValidationAgain(); return false;" class="btn btn-success">بررسی مجدد کارت، واریز و تکمیل سفارش</a>
                <a id="notValidRefunded" onclick="notValidRefunded(); return false;" class="btn btn-warning">پول به کارت مبدا بازگشت داده شد.</a>
            </div>
        </div>
    }
</div>

@section scripts{
    <script>
        var orderId = @Model.Id;
        $('.select2').select2({
            dir: 'rtl',
            width: '100%',
            minimumResultsForSearch: -1
        });
        var isTradeInTry = false;
        var isWithdrawInTry = false;
        var isInCardValidationCheck = false;
        var IsInNotValidRefunded = false;
        var isInRecalculateAgain = false;

        $('#addNoteForm').on('submit', function () {
            $('#addNoteBtn').addClass('disabled').attr('aria-disabled', "true").attr('disabled', 'disabled');
        });

        $('[id*="delete-note-"]').on('click', function (e) {
            var noteId = $(this).attr('id').replace('delete-note-', '');
            confirmDialog("آیا می خواهید این یادداشت حذف شود؟", function () {
                doAjax({ id: noteId }, "@Url.Action("RemoveNote")", function (data) {
                    location.reload();
                });
            });
        })

        function tryTradeAgain() {
            if (isTradeInTry == false) {
                isTradeInTry = true;
                $('#tryTradeAgainBtn').addClass('disabled');
                doAjax({ id: orderId }, "@Url.Action("TryTradeAgain")", function (data) {
                    isTradeInTry = false;
                    //alert(data.Text);
                    location.reload();
                });
            }
        }

        function tryWithdrawAgain() {
            if (isWithdrawInTry == false) {
                isWithdrawInTry = true;
                $('#tryWithdrawAgainBtn').addClass('disabled');
                doAjax({ id: orderId }, "@Url.Action("TryWithdrawAgain")", function (data) {
                    isWithdrawInTry = false;
                    //alert(data.Text);
                    location.reload();
                });
            }
        }

        function tryTradeWithdrawAgain() {
            if (isWithdrawInTry == false && isTradeInTry == false) {
                isWithdrawInTry = true;
                isTradeInTry = true;
                $('#tryTradeAgainBtn').addClass('disabled');
                $('#tryWithdrawAgainBtn').addClass('disabled');
                $('#tryTradeWithdrawAgainBtn').addClass('disabled');
                doAjax({ id: orderId }, "@Url.Action("TryTradeWithdrawAgain")", function (data) {
                    isWithdrawInTry = false;
                    isTradeInTry = false;
                    //alertInfo(data.Text);
                    location.reload();
                });
            }
        }

        function notValidRefunded() {
            if (IsInNotValidRefunded == false) {
                IsInNotValidRefunded = true;
                $('#notValidRefunded').addClass('disabled');
                doAjax({
                    id: orderId,
                    orderStatus: @Xtoman.Domain.Models.OrderStatus.RefundNotValidCard.ToInt()
                }, "@Url.Action("ChangeOrderStatus")", function (data) {
                    IsInNotValidRefunded = false;
                    location.reload();
                });
            }
        }

        function checkCardValidationAgain() {
            if (isInCardValidationCheck == false) {
                isInCardValidationCheck = true;
                $('checkCardValidationAgain').addClass('disabled');
                confirmDialog("پس از بررسی در صورت تایید شدن کارت انتقال ارز انجام می شود. آیا مطمئن هستید؟", function () {
                    doAjax({ id: orderId }, "@Url.Action("CheckCardAgain")", function (data) {
                        isInCardValidationCheck = false;
                        location.reload();
                    });
                });
            }
        }

        function reCalculateAgain() {
            if (isInRecalculateAgain == false) {
                isInRecalculateAgain = true;
                $('reCalculateAgain').addClass('disabled');
                confirmDialog("آیا مطمئن هستید؟", function () {
                    doAjax({ id: orderId }, "@Url.Action("ReCalculateAgain")", function (data) {
                        isInCardValidationCheck = false;
                        location.reload();
                    });
                });
            }
        }

        function EditOrderStatus() {
            $('#OrderStatusBtn').hide();
            $('#OrderStatusFormGroup').show();
        }

        function SaveOrderStatus() {
            var orderStatus = $('#OrderStatus').val();
            doAjax({
                id: orderId,
                orderStatus: orderStatus
            }, "@Url.Action("ChangeOrderStatus")", function (data) {
                location.reload();
            });
        }

        function VerifyPayment() {
            doAjax({ id: orderId }, "@Url.Action("VerifyPayment")", function (data) {
                location.reload();
            });
        }

        function CancelOrderStatus() {
            $('#OrderStatusBtn').show();
            $('#OrderStatusFormGroup').hide();
        }

        function cardToCarded() {
            confirmWithInputDialog("آیا واریز ریالی کارت به کارت شده؟", "کد پیگیری بانک", "کد پیگیری بانک یا کد تراکنش باید وارد شود.", function (e) {
                var cardToCardedUrl = "@Url.Action("CardToCarded")";
                var postData = {
                    id: orderId,
                    transactionId: $('#customInput').val(),
                };
                doAjax(postData, cardToCardedUrl, function () {
                    location.reload();
                });
            });
        }

        function satnaPaya() {
            confirmDialog("آیا واریز ریالی ساتنا یا پایا شده؟", function (e) {
                var satnaPayaUrl = "@Url.Action("SatnaPaya")";
                var postData = {
                    id: orderId
                };
                doAjax(postData, satnaPaya, function () {
                    location.reload();
                });
            });
        }

        function vandarPay() {
            confirmDialog("آیا واریز ریالی از وندار انجام شود؟", function (e) {
                var vandarPayUrl = "@Url.Action("VandarPay")";
                var postData = {
                    id: orderId
                };
                doAjax(postData, vandarPayUrl, function () {
                    location.reload();
                });
            });
        }

        function payIRPay() {
            confirmDialog("آیا واریز ریالی از پی دات آی آر انجام شود؟", function (e) {
                var vandarPayUrl = "@Url.Action("PayIRPay")";
                var postData = {
                    id: orderId
                };
                doAjax(postData, vandarPayUrl, function () {
                    location.reload();
                });
            });
        }

        function CancelVandarPay(id) {
            confirmDialog("آیا واریز ریالی از وندار لغو شود؟", function (e) {
                var vandarCancelPayUrl = "@Url.Action("CancelVandarPay")";
                var postData = {
                    id: id
                };
                doAjax(postData, vandarCancelPayUrl, function () {
                    location.reload();
                });
            });
        }

        function withdrawFromCP() {
            confirmDialog("آیا انتقال از CoinPayments انجام شود؟", function (e) {
                var withdrawFromCPUrl = "@Url.Action("WithdrawFromCP")";
                var postData = {
                    id: orderId
                };
                doAjax(postData, function () {
                    location.reload();
                });
            });
        }
    </script>
}